Add outline for hub (not measured)
This commit is contained in:
parent
dcc6b3e552
commit
d69066f465
@ -29,7 +29,6 @@ def add(
|
||||
back_face,
|
||||
shell_t
|
||||
):
|
||||
|
||||
# Holes
|
||||
if back_face:
|
||||
for hole in holes:
|
||||
|
@ -106,7 +106,6 @@ def add(
|
||||
back_face,
|
||||
shell_t
|
||||
):
|
||||
|
||||
if bottom_face:
|
||||
# Vents
|
||||
for vent in vents:
|
||||
|
@ -29,7 +29,6 @@ def add(
|
||||
back_face,
|
||||
shell_t
|
||||
):
|
||||
|
||||
# Holes
|
||||
if back_face:
|
||||
for hole in holes:
|
||||
|
@ -55,7 +55,6 @@ def add(
|
||||
back_face,
|
||||
shell_t
|
||||
):
|
||||
|
||||
# This one is special, it creates angled things and cuts off the
|
||||
# case, so ... it's going to do weird stuff
|
||||
|
||||
|
Binary file not shown.
@ -67,7 +67,6 @@ def model():
|
||||
|
||||
|
||||
if __name__ == "__main__":
|
||||
|
||||
model = model()
|
||||
exporters.export(model, "lid.stl")
|
||||
|
||||
|
Binary file not shown.
File diff suppressed because one or more lines are too long
Before Width: | Height: | Size: 754 KiB After Width: | Height: | Size: 773 KiB |
@ -169,7 +169,6 @@ def model():
|
||||
|
||||
|
||||
if __name__ == "__main__":
|
||||
|
||||
model = model()
|
||||
|
||||
left_cutout = cq.Sketch().polygon(
|
||||
|
Binary file not shown.
@ -132,7 +132,6 @@ def model():
|
||||
|
||||
|
||||
if __name__ == "__main__":
|
||||
|
||||
print("Exporting")
|
||||
exporters.export(model(), "screen_mount.stl")
|
||||
|
||||
|
@ -47,7 +47,6 @@ def add(
|
||||
shell_t
|
||||
):
|
||||
if bottom_face:
|
||||
|
||||
# Mounting pillars
|
||||
for element in elements:
|
||||
model = extrude_shape(
|
||||
|
@ -26,7 +26,20 @@ elements = [
|
||||
cq.Sketch().trapezoid(22, 10, 90, mode="a").trapezoid(17, 10, 90, mode="s")
|
||||
),
|
||||
"height": 8,
|
||||
}
|
||||
},
|
||||
# Outline
|
||||
{
|
||||
"x": 0,
|
||||
"y": 35,
|
||||
"shape": (
|
||||
cq.Sketch()
|
||||
.trapezoid(17, 70, 90, mode="a")
|
||||
.trapezoid(15, 68, 90, mode="s")
|
||||
.vertices()
|
||||
.fillet(3)
|
||||
),
|
||||
"height": 0.2,
|
||||
},
|
||||
]
|
||||
|
||||
|
||||
@ -42,7 +55,6 @@ def add(
|
||||
back_face,
|
||||
shell_t
|
||||
):
|
||||
|
||||
# USB Hub extrusions
|
||||
if bottom_face:
|
||||
for element in elements:
|
||||
@ -51,8 +63,8 @@ def add(
|
||||
face=bottom_face,
|
||||
w=width,
|
||||
h=height,
|
||||
x_offset=263, # offset_x,
|
||||
y_offset=0, # shell_t + offset_y,
|
||||
x_offset=offset_x,
|
||||
y_offset=shell_t + offset_y,
|
||||
element=element,
|
||||
height=-(element["height"] + shell_t),
|
||||
)
|
||||
|
@ -66,7 +66,6 @@ def add(
|
||||
back_face,
|
||||
shell_t
|
||||
):
|
||||
|
||||
if bottom_face:
|
||||
# Vents
|
||||
for vent in vents:
|
||||
|
Loading…
Reference in New Issue
Block a user